diff --git a/alterator-net-domain.spec b/alterator-net-domain.spec
index fece0a7..f1852d9 100644
--- a/alterator-net-domain.spec
+++ b/alterator-net-domain.spec
@@ -1,5 +1,3 @@
-%define _altdata_dir %_datadir/alterator
-
 Name:    alterator-net-domain
 Version: 0.7.0
 Release: alt1
@@ -8,16 +6,15 @@ Source:  %name-%version.tar
 Summary: Alterator module to provision system network domain
 License: GPL
 Group:   System/Configuration/Other
-Requires: alterator >= 4.7-alt5
+Requires: alterator >= 5.0
 Requires: alterator-l10n >= 2.0-alt2
 
 Conflicts: ldap-user-tools < 0.8.1
 Conflicts: alterator-lookout < 1.6-alt6
 Conflicts: alterator-fbi < 5.9-alt2
 
-BuildPreReq: alterator >= 4.7-alt5
-
-BuildArch: noarch
+BuildRequires: guile22-devel rpm-build >= 4.0.4-alt103
+BuildRequires: alterator >= 5.0 alterator-fbi >= 5.33-alt1
 
 %description
 Alterator module to provision system network domain.
@@ -34,8 +31,9 @@ and FreeIPA domain.
 %makeinstall
 
 %files
-%_altdata_dir/applications/*
-%_altdata_dir/ui/*/
+%_alterator_datadir/applications/*
+%_alterator_datadir/ui/*/
+%_alterator_libdir/ui/*/
 %_alterator_backend3dir/*
 %dir %_libexecdir/alterator/hooks/net-domain.d
 %_bindir/*-sh-functions
diff --git a/alterator-net-domain/Makefile b/alterator-net-domain/Makefile
index 950a398..496fad9 100644
--- a/alterator-net-domain/Makefile
+++ b/alterator-net-domain/Makefile
@@ -3,7 +3,7 @@ SHELL_LIBS=ipa-sh-functions
 
 all:
 clean:
-install: install-module install-data
+install: install-module install-data install-lib
 
 include /usr/share/alterator/build/module.mak
 
